#!/bin/zsh
# Run all MI tests using GNU paralel.
emulate -L zsh
setopt extendedglob

#                                                                  {1}           {2}          {3}      {4}
parallel ./mi-test.zsh   B1 '{1}'  1 '{2}' 1e-'{3}' 1e-'{4}' ::: {2..10} ::: sci loi bac ::: 4 6 8 ::: 3 4
parallel ./mi-test.zsh  1B2 '{1}'  1 '{2}' 1e-'{3}' 1e-'{4}' ::: {2..10} ::: sci loi bac ::: 4 6 8 ::: 3 4
parallel ./mi-test.zsh  RCD '{1}' 18 '{2}' 1e-'{3}' 0        ::: {2..10} ::: sci loi bac ::: 4 6 8
parallel ./mi-test.zsh  6B2 '{1}'  1 '{2}' 1e-'{3}' 1e-'{4}' ::: {2..10} ::: sci loi bac ::: 4 6 8 ::: 3 4
parallel ./mi-test.zsh 12B2 '{1}'  1 '{2}' 1e-'{3}' 1e-'{4}' ::: {2..10} ::: sci loi bac ::: 4 6 8 ::: 3 4

# Clean out the tests with invalid input combinations.
rm (output|profiles)/*k2t*(sci|loi).*
rm (output|profiles)/*k3t*loi.*
